Groovy 1.7.0

## org.codehaus.groovy.runtime.callsite
Class PojoMetaClassGetPropertySite

    java.lang.Object
      org.codehaus.groovy.runtime.callsite.AbstractCallSite
          org.codehaus.groovy.runtime.callsite.PojoMetaClassGetPropertySite

    class PojoMetaClassGetPropertySite
    extends AbstractCallSite

Field Summary

Fields inherited from class AbstractCallSite
array, index, name, usage

Constructor Summary
`PojoMetaClassGetPropertySite(CallSite parent)`

Method Summary
`CallSite` | `acceptGetProperty(Object receiver)`
`Object` | `callGetProperty(Object receiver)`
`Object` | `getProperty(Object receiver)`

Methods inherited from class AbstractCallSite

acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty, getUsage, noCoerce, noWrappers

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### PojoMetaClassGetPropertySite

    public PojoMetaClassGetPropertySite(CallSite parent)

Method Detail

### acceptGetProperty

    public final CallSite acceptGetProperty(Object receiver)

### callGetProperty

    public Object callGetProperty(Object receiver)

### getProperty

    public final Object getProperty(Object receiver)

Copyright © 2003-2009 The Codehaus. All rights reserved.